Join Slack channel
curl --request POST \
--url https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channelId": "<string>",
"displayName": "<string>"
}
'import requests
url = "https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite"
payload = {
"channelId": "<string>",
"displayName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channelId: '<string>', displayName: '<string>'})
};
fetch('https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'channelId' => '<string>',
'displayName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite"
payload := strings.NewReader("{\n \"channelId\": \"<string>\",\n \"displayName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"channelId\": \"<string>\",\n \"displayName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"channelId\": \"<string>\",\n \"displayName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"destinationId": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Join Slack channel
Add the CoreWeave Mission Control app to a Slack channel and get its destination ID.
POST
/
v1
/
notifications
/
integrations
/
slack-channels
/
invite
Join Slack channel
curl --request POST \
--url https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channelId": "<string>",
"displayName": "<string>"
}
'import requests
url = "https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite"
payload = {
"channelId": "<string>",
"displayName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({channelId: '<string>', displayName: '<string>'})
};
fetch('https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'channelId' => '<string>',
'displayName' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite"
payload := strings.NewReader("{\n \"channelId\": \"<string>\",\n \"displayName\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"channelId\": \"<string>\",\n \"displayName\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"channelId\": \"<string>\",\n \"displayName\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"destinationId": "<string>"
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Requires the Alerts Admin role and an active Slack OAuth integration.
Pass a channel
id from
List Slack channels.
The response returns the destinationId of the Slack destination for that channel,
creating it if needed. To start delivery, subscribe alerts to that destination.
Example request
curl -X POST https://api.coreweave.com/v1/notifications/integrations/slack-channels/invite \
-H "Authorization: Bearer [API-ACCESS-TOKEN]" \
-H "Content-Type: application/json" \
-d '{"channelId": "C0123456789", "displayName": "#gpu-alerts"}'
Authorizations
CoreWeave API access token sent as a bearer token.
Body
application/json
Response
OK
The ID of the Slack destination for the channel.
Was this page helpful?